<template>
    <div class="page notes-list">
        <header>
            <h1>TO-DO-List</h1>
        </header>
        <div class="content">
            <div class="center">
                <TodoList :notes="notes" v-if="notes.length > 0" />
                <div class="emplty-notes" v-else>
                    <p>Ваш список заметок сейчас пуст <br>Вы можете <nuxt-link to="/edit">добавить заметку</nuxt-link></p>
                </div>
            </div>
        </div>
        <footer>
            <nuxt-link class="btn" to="/edit">Новая заметка</nuxt-link>
        </footer>
        <PopupDelNote />
    </div>
</template>

<script>
    import TodoList from "../components/TodoList";
    import Vue from 'vue';
    import PopupDelNote from "../components/PopupDelNote";
    export const bus = new Vue();

    export default {
        data: function() {
            return {
                notes: this.$store.state.notes
            }
        },
        components: {PopupDelNote, TodoList}
    }
</script>
